@font-face {
    font-family: 'Cremona Sans';
    src: url('../fonts/CremonaSans.woff2') format('woff2'),
    url('../fonts/CremonaSans.woff') format('woff');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Circe';
    src: url('../fonts/Circe-Regular.woff2') format('woff2'),
    url('../fonts/Circe-Regular.woff') format('woff');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Circe';
    src: url('../fonts/Circe-Light.woff2') format('woff2'),
    url('../fonts/Circe-Light.woff') format('woff');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'Circe';
    src: url('../fonts/Circe-ExtraBold.woff2') format('woff2'),
    url('../fonts/Circe-ExtraBold.woff') format('woff');
    font-weight: 800;
    font-style: normal;
}

*,
*:before,
*:after {
    margin: 0;
    padding: 0;
    font: inherit;
    box-sizing: border-box;
}

a {
    color: inherit;
    text-decoration-skip-ink: none;
}

a,
a:hover {
    text-decoration: none;
}

button {
    color: inherit;
    background: none;
    border: none;
    outline: none;
    cursor: pointer;
}

.quiz {
    max-width: 960px;
    margin: 0 auto;
    padding: 25px;
    color: #191b1e;
    background: #e6c59e;
}

.quiz__content {
    padding: 24px 28px;
    border: 2px solid #000;
}

.quiz__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 0 24px;
}

.quiz-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: 142px;
    height: 54px;
    padding: 0 17px;
    font: normal 300 25px/1 'Circe', sans-serif;
    color: #000;
    background: #e6c59e;
    border: 1px solid #000;
    transition-property: color, background-color;
    transition: 0.3s;
}

.quiz-btn:hover,
.quiz-btn:focus {
    color: #e6c59e;
    background: #000;
}

.quiz-main-title {
    position: relative;
    padding: 0 0 0 12px;
    font: normal 400 35px/1 'Cremona Sans', sans-serif;
    text-transform: uppercase;
}

.quiz-main-title span {
    position: absolute;
    top: 0;
    left: 0;
    width: 27px;
    height: 27px;
    font: normal 800 10px/1 'Circe', sans-serif;
    text-align: center;
    transform: rotate(-90deg);
}

.quiz-brand-logo__img {
    display: block;
    max-width: 100%;
    height: auto;
}

.quiz-question-view {
    padding: 62px 0 76px;
}

.quiz-question-number {
    display: flex;
    flex-direction: row;
    max-width: 700px;
    margin: 0 auto 35px;
    font: normal 400 25px/1 'Cremona Sans', sans-serif;
}

.quiz-question-number:before,
.quiz-question-number:after{
    content: " ";
    flex: 1 1;
    border-bottom: 1px solid #000;
    margin: auto;
}

.quiz-question-number:before {
    margin-right: 14px;
}

.quiz-question-number:after {
    margin-left: 14px;
}

.quiz-question-title {
    margin: 0 auto 40px;
    font: normal 800 16px/1 'Circe', sans-serif;
    text-align: center;
}

.quiz-question-answers {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    margin: 0 0 60px -16px;
}

.quiz-question-answers__answer {
    width: 180px;
    margin: 0 0 0 16px;
}

.quiz-question-answer {
    display: flex;
    max-width: 180px;
    width: 100%;
    padding: 10px;
    transition: background-color 0.3s;
}

.quiz-question-answer:hover,
.quiz-question-answer:focus,
.quiz-question-answer_selected {
    background-color: #9f8a70;
}

.quiz-question-answer:before {
    content: " ";
    width: 1px;
    margin: 0 0 0 -1px;
    padding: 100% 0 0;
}

.quiz-question-answer__img {
    display: block;
    max-width: 100%;
    height: auto;
}

.quiz-next-btn {
    margin: 0 auto;
}

.quiz-result-img {
    display: block;
    max-width: 100%;
    width: 380px;
    height: auto;
    margin: 0 auto 20px;
}

.quiz-result-title {
    font: normal 400 29px/33px 'Cremona Sans', sans-serif;
    text-align: center;
}

.quiz-result-text {
    margin: 0 0 28px;
    font: normal 400 16px/18px 'Circe', sans-serif;
    text-align: center;
}

.quiz-result-text a {
    text-decoration: underline;
}

.quiz-result-text a:hover {
    text-decoration: none;
}

.quiz-restart-text {
    margin: 0 0 26px;
    font: normal 400 16px/18px 'Circe', sans-serif;
    text-align: center;
}

.quiz-restart-btn {
    margin: 0 auto 24px;
}

.quiz-share-btns {
    display: flex;
    justify-content: center;
    align-items: center;
}

.quiz-share-btns__btn + .quiz-share-btns__btn {
    margin-left: 24px;
}

.quiz-share-btn svg {
    display: block;
    stroke: currentColor;
    fill: currentColor;
}

@media (max-width: 680px) {
    html {
        font-size: 10px;
        font-size: 1.5vw;
    }

    .quiz {
        max-width: 67.8rem;
        padding: 2.5rem;
    }

    .quiz__content {
        padding: 2rem 1.4rem 3.5rem;
    }

    .quiz__header {
        margin: 0 0 3.4rem;
    }

    .quiz-btn {
        min-width: 18.2rem;
        height: 6.8rem;
        padding: 0 2.2rem;
        font-size: 3.2rem;
    }

    .quiz-main-title {
        padding: 0 0 0 1.2rem;
        font-size: 3.5rem;
    }

    .quiz-main-title span {
        width: 2.7rem;
        height: 2.7rem;
        font-size: 1rem;
    }

    .quiz-brand-logo {
        width: 18rem;
    }

    .quiz-question-view {
        padding: 3.4rem 0 3rem
    }

    .quiz-question-number {
        max-width: 51.5rem;
        margin: 0 auto 4.2rem;
        font-size: 3rem;
    }

    .quiz-question-number:before {
        margin-right: 2.3rem;
    }

    .quiz-question-number:after {
        margin-left: 2.3rem;
    }

    .quiz-question-title {
        margin: 0 0 4.6rem;
        font-size: 2.5rem;
    }

    .quiz-question-answers {
        flex-wrap: wrap;
        margin: -1.4rem 0 6.3rem -2.5rem;
    }

    .quiz-question-answers__answer {
        width: 26.7rem;
        margin: 1.4rem 0 0 2.5rem;
    }

    .quiz-question-answer {
        max-width: 26.7rem;
        padding: 1.4rem;
    }

    .quiz-result-img {
        width: 100%;
        margin: 0 auto 4.2rem;
    }

    .quiz-result-title {
        font-size: 4.4rem;
        line-height: 1;
    }

    .quiz-result-text {
        margin: 0 0 3.2rem;
        font-size: 2rem;
        line-height: 1.2;
    }

    .quiz-restart-text {
        margin: 0 0 3.5rem;
        font-size: 2rem;
        line-height: 1.2;
    }

    .quiz-restart-btn {
        margin: 0 auto 3.2rem;
    }

    .quiz-share-btns {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .quiz-share-btns__btn + .quiz-share-btns__btn {
        margin-left: 3.6rem;
    }
}